Imports Microsoft.VisualBasic
Imports System.IO

Module Sequence
    Sub Main()
        Dim parts() As String = My.Computer.FileSystem.ReadAllText("sequence.in").Split(" ")
        Dim i As Integer

        FileOpen(2, "sequence.out", OpenMode.Output)
        For i = parts.Length - 1 To 0 Step -1
            Print(2, parts(i).Trim())
            Print(2, " ")
        Next
        PrintLine(2)
        FileClose(2)
    End Sub
End Module
